* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

html,
body {
  position: relative;
  height: 100dvh;
  min-height: 100dvh;
  overflow: hidden;
  overscroll-behavior: none;
}

html {
  --white: #fff;
  --black: #000;
  --alizarin: #e74c3c;
  --pomegranate: #c0392b;
  --emerald: #2ecc71;
  --nephritis: #27ae60;
  --peterriver: #3498db;
  --belizehole: #2980b9;
  --midnightblue: #2c3e50;
  --asbestos: #7f8c8d;
  --transition-duration: 0.3s;
  --transition-timing-function: ease-in-out;
}

body {
  font-family: sans-serif;
  font-size: 20px;
  line-height: 1.5;
  color: var(--midnightblue);
  -webkit-tap-highlight-color: transparent;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

.page {
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 100%;
  overflow: clip;

  @media (width < 1157px) {
    &:has(.menu-button_more.menu-button_opened) .menu-button_about {
      opacity: 0;
      pointer-events: none;
    }

    &:has(.menu-button_about.menu-button_opened) .menu-button_more {
      opacity: 0;
      pointer-events: none;
    }
  }
}

.gap-top-16 {
  margin-top: 16px;
}

.nbsp {
  white-space: nowrap;
}

.hidden {
  display: none;
}

.title {
  font-family: monospace;
  font-size: 32px;
  font-weight: 500;
}

.button {
  border: 0;
  line-height: 1;
  color: var(--white);
  background-color: transparent;
  opacity: 0.7;
  transition: opacity var(--transition-duration) var(--transition-timing-function);

  &:hover,
  &:focus-visible {
    opacity: 1;
    cursor: pointer;
  }

  @media (pointer: coarse) and (hover: none) {
    opacity: 1;
  }
}

.button_reset {
  width: 100%;
  padding: 16px;
  border: 1px solid var(--alizarin);
  border-radius: 10px;
  font-size: 20px;
  color: var(--alizarin);

  &:focus-visible {
    outline-color: var(--alizarin);
  }
}

.link {
  color: var(--peterriver);
  text-decoration: none;
  transition: color var(--transition-duration) var(--transition-timing-function);

  &:focus-visible {
    outline-color: var(--belizehole);
  }

  &:hover,
  &:focus-visible {
    color: var(--belizehole);
  }

  @media (pointer: coarse) and (hover: none) {
    color: var(--belizehole);
  }
}

.timer-wrapper {
  text-align: center;
}

.timer {
  font-family: monospace;
  font-size: clamp(60px, 20vw, 100px);
  font-weight: 500;
  color: var(--white);
}

.timer-button {
  margin: -15px -17px;
  padding: 15px 17px;
  font-size: 0;
  outline: none;
}

.menu-button {
  position: absolute;
  bottom: calc(30px + env(safe-area-inset-bottom, 0px));
  z-index: 1;
  padding: 6px 10px;
  border-radius: 99px;
  font-size: 20px;
  outline: 1px solid transparent;
  transition: all var(--transition-duration) var(--transition-timing-function);

  &:focus-visible {
    outline-color: var(--white);
  }

  &:hover,
  &:focus-visible {
    transition: all var(--transition-duration) var(--transition-timing-function);
  }
}

.menu-button_more {
  left: 30px;
  transform: translate(-20px, 16px);
}

.menu-button_about {
  right: 30px;
  transform: translate(20px, 16px);
}

.menu-button_opened {
  color: var(--black);
  transform: translate(0);
  transition: all var(--transition-duration) var(--transition-timing-function);

  &:focus-visible {
    outline-color: var(--black);
  }

  &:hover,
  &:focus-visible {
    transition: all var(--transition-duration) var(--transition-timing-function);
  }
}

.window {
  position: absolute;
  top: calc(20px + env(safe-area-inset-top, 0px));
  bottom: calc(20px + env(safe-area-inset-bottom, 0px));
  padding: 32px;
  border-radius: 20px;
  text-align: left;
  background-color: var(--white);
  overflow-y: auto;
  transition: transform var(--transition-duration) var(--transition-timing-function);

  @media (width >= 1157px) {
    width: 400px;
  }

  @media (width < 1157px) {
    width: calc(100% - 40px);
  }
}

.window_more {
  left: 20px;
  transform: translateX(-420px);

  @media (width < 1157px) {
    right: 20px;
    transform: translateX(calc(-100% - 40px));
  }
}

.window_about {
  right: 20px;
  transform: translateX(420px);

  @media (width < 1157px) {
    left: 20px;
    transform: translateX(calc(100% + 40px));
  }
}

.window_opened {
  transform: translateX(0);
}

.window_no-animation {
  transition: none !important;
}

.total-label {
  color: var(--asbestos);
}

.total-value {
  display: inline-block;
  margin-top: -10px;
}

.south-korea {
  display: inline-block;
  vertical-align: middle;
}
